ConfigurationIntersection
Date: 2014-12-13

org.apache.ivy.core.module.descriptor

## Class ConfigurationIntersection

- java.lang.Object
- - org.apache.ivy.util.extendable.UnmodifiableExtendableItem
  - - org.apache.ivy.util.extendable.DefaultExtendableItem
    - - org.apache.ivy.core.module.descriptor.Configuration
      - - org.apache.ivy.core.module.descriptor.ConfigurationIntersection

- All Implemented Interfaces:
    InheritableItem, ExtendableItem

      public class ConfigurationIntersection
      extends Configuration

  A configuration which is actually the intersection of several configurations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ivy.core.module.descriptor.Configuration

      `Configuration.Visibility`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationIntersection(java.lang.String confName, java.util.Map intersectedConfs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getIntersectedConfiguration(java.lang.String confName)` Returns the intersected `Configuration` object for the given conf name, or `null` if the given conf name is not part of this intersection or if this conf name isn't defined in the module in which this intersection has been built.
    `java.lang.String[]` | `getIntersectedConfigurationNames()` Returns the list of configurations' names this object is an intersection of.
    `Configuration.Visibility` | `getVisibility()`

    - ### Methods inherited from class org.apache.ivy.core.module.descriptor.Configuration

      `equals, findConfigurationExtending, getDeprecated, getDescription, getExtends, getName, getSourceModule, hashCode, isTransitive, replaceWildcards, toString`

    - ### Methods inherited from class org.apache.ivy.util.extendable.DefaultExtendableItem

      `setExtraAttribute`

    - ### Methods inherited from class org.apache.ivy.util.extendable.UnmodifiableExtendableItem

      `getAttribute, getAttributes, getExtraAttribute, getExtraAttributes, getQualifiedExtraAttributes, setStandardAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationIntersection

          public ConfigurationIntersection(java.lang.String confName,
                                   java.util.Map intersectedConfs)

  - ### Method Detail

    - #### getIntersectedConfigurationNames

          public java.lang.String[] getIntersectedConfigurationNames()

      Returns the list of configurations' names this object is an intersection of.

      This list is built from the configuration name, if some of these configuration names have actually not been recognized in the module, they will be `null` when accessed from `getIntersectedConfiguration(String)`.

      Returns:
        the list of configurations' names this object is an intersection of.

    - #### getIntersectedConfiguration

          public Configuration getIntersectedConfiguration(java.lang.String confName)

      Returns the intersected `Configuration` object for the given conf name, or `null` if the given conf name is not part of this intersection or if this conf name isn't defined in the module in which this intersection has been built.
      Parameters:
        `confName` - the name of the configuration to return.
      Returns:
        the intersected `Configuration` object for the given conf name

    - #### getVisibility

          public Configuration.Visibility getVisibility()

      Overrides:
        `getVisibility` in class `Configuration`
      Returns:
        Returns the visibility. Never null.